## rssh 2.3.2

=== debian/changelog ===
rssh (2.3.2-13) unstable; urgency=low

  * When allocating the buffer to tell a locked-out user what commands are
    supported, add an additional byte for the nul at the end of the
    string.  (Closes: #601145)

 -- Russ Allbery <rra@debian.org>  Wed, 10 Nov 2010 11:23:07 -0800

rssh (2.3.2-12) unstable; urgency=low

  * If parsing the configuration file fails, abort with an error rather
    than continuing on and applying the defaults, since the defaults may
    be wrong for the current user.  Patch from Jon Barber.
  * Fix spelling error (seperate for separate) in rssh man page.
  * Remove version from openssh-server dependency since it was older than
    oldstable.
  * Update standards version to 3.9.0 (no changes required).

 -- Russ Allbery <rra@debian.org>  Tue, 06 Jul 2010 18:07:47 -0700

rssh (2.3.2-11) unstable; urgency=low

  * Switch to 3.0 (quilt) source format.
    - Remove build dependency on quilt and debian/rules machinery.
  * Remove all of the files touched by autoreconf -i.
  * Remove Jesus Climent from uploaders.  He hasn't had time to work on
    the package in a while.
  * Update standards version to 3.8.4 (no changes required).

 -- Russ Allbery <rra@debian.org>  Mon, 29 Mar 2010 11:28:43 -0700

rssh (2.3.2-10) unstable; urgency=low

  * Update standards version 3.8.2 (no changes required).
  * Translation updates:
    - Czech, thanks Martin Šín.  (Closes: #533389)
    - Russian, thanks Yuri Kozlov.  (Closes: #537062)

 -- Russ Allbery <rra@debian.org>  Sat, 18 Jul 2009 19:49:00 -0700

rssh (2.3.2-9) unstable; urgency=low

  * This package is now maintained using Git and TopGit.  A quilt
    patch series is exported from TopGit branches for the final Debian
    package.  Update debian/README.source, the Vcs-* control fields, and
    debian/rules accordingly.
  * Add support for svnserve (Subversion).  This requires a change in the
    format of /etc/rssh.conf to add an additional binary digit to the
    permissions field.  /etc/rssh.conf will be automatically updated as
    part of the package upgrade using /usr/share/rssh/conf_convert.  Patch
    from Davide Scola.  (Closes: #284756)
  * In mkchroot, also install /dev/zero in the chroot.  Noted in an
    updated patch from Ross Davis sent to the rssh-discuss list.
  * Remove postrm script that removed rssh from /etc/shells.  We do that
    in postinst on upgrade and have for some time, so this maintainer
    script was unnecessary.
  * Convert to the proposed new copyright format.
  * Swap Maintainer and Uploaders, making me the primary maintainer.  I've
    done all of the recent uploads.
  * Update debhelper compatibility level to V7.
    - Use rule minimization with overrides.
    - Move install, examples, and manpage lists into separate files.
    - Add --enable-static if "static" is in DEB_CONFIGURE_OPTIONS rather
      than requiring the variable be set to exactly --enable-static.
    - Remove unnecessary debian/dirs.
  * Update standards version to 3.8.1 (no changes required).
  * Translation updates:
    - Spanish, thanks Francisco Javier Cuadrado.  (Closes: #509356)

 -- Russ Allbery <rra@debian.org>  Sat, 04 Apr 2009 15:41:07 -0700

rssh (2.3.2-8) unstable; urgency=low

  * The upstream mkchroot script uses echo -e, so make it a /bin/bash
    script, which is less invasive than rewriting all of the echo
    statements to printf.  Thanks, Raphael Geissert.  (Closes: #489653)
  * Update standards version to 3.8.0.
    - Add a README.source file pointing to the quilt documentation.

 -- Russ Allbery <rra@debian.org>  Sun, 13 Jul 2008 13:09:38 -0700

rssh (2.3.2-7) unstable; urgency=low

  * Translation updates:
    - Galician, thanks Jacobo Tarrio.  (Closes: #483220)

 -- Russ Allbery <rra@debian.org>  Tue, 27 May 2008 19:48:25 -0700

rssh (2.3.2-6) unstable; urgency=low

  * Allow the -e option to rsync in conjunction with --server when it
    contains a protocol version.  As of version three, rsync reused the -e
    option to pass protocol information.  (Closes: #471803)
  * Avoid a segfault when logging is disabled and the configuration file
    could not be opened.  Thanks, Thomas Liske.  (Closes: #470262)
  * Update the example mkchroot.sh script, thanks to Carsten Maass and
    proctor mcduff.  (Closes: #465528)
    - Fix the parsing of ldd output.
    - Create /dev/null and /dev/log in the chroot.
    - Update the sftp-server and rssh_chroot_helper paths for Debian.
    - Copy /etc/ld.* files recursively.
    - Add better error handling.
  * Suggest makejail for the chroot setup.  (Closes: #458563)
  * Clean all patches of extraneous headers and timestamps.
  * Mention in README.Debian that the upstream maintainer doesn't plan
    future releases and therefore major new work (such as Subversion
    support) may require taking over upstream maintenance.
  * Add a Homepage control field and drop the XS-* prefixes for the Vcs
    control fields.
  * Add the upstream copyright statement and the complete license to
    debian/copyright.
  * Add a watch file.
  * debian/rules cleanup:
    - Use a stamp file for installation.
    - Depend on the quilt stamp file to prevent repeating configure.
    - Use touch $@ to create stamp files.
    - Simplify the rule structure.
  * Update standards version to 3.7.3 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 23 Mar 2008 12:46:52 -0700

rssh (2.3.2-5) unstable; urgency=low

  * Fix the logic for checking whether the setuid status of
    rssh_chroot_helper was overridden by the sysadmin.  The previous logic
    would only make it setuid if dpkg-statoverride couldn't be found.
    Thanks, Peter Baumann.  (Closes: #425431)
  * Don't add rssh to /etc/shells; restricted shells should not be listed
    there.  Remove it from /etc/shells if upgrading from an older version.
    Also, we don't need to conditionalize running add-shell and
    remove-shell, since debianutils is essential and has had add-shell and

