=== debian/control ===
Source: rssh
Section: net
Priority: optional
Maintainer: Russ Allbery <rra@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autoconf, automake
Standards-Version: 3.9.0
Homepage: http://www.pizzashack.org/rssh/
Vcs-Git: git://git.debian.org/git/collab-maint/rssh.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/rssh.git

Package: rssh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssh-server
Suggests: cvs, rdist, rsync, subversion, makejail
Description: Restricted shell allowing scp, sftp, cvs, svn, rsync or rdist
 rssh is a restricted shell, used as a login shell, that allows users to
 perform only scp, sftp, cvs, svnserve (Subversion), rdist, and/or rsync
 operations.  It can also optionally chroot user logins into a restricted
 jail.
