=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Russ Allbery <rra@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autoconf, automake
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 9), dh-autoreconf
+Standards-Version: 3.9.3
 Homepage: http://www.pizzashack.org/rssh/
 Vcs-Git: git://git.debian.org/git/collab-maint/rssh.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/rssh.git
