=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# Enable compiler hardening flags.
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow,+pie
 
 # Load TopGit targets if available.
 -include /usr/share/topgit/tg2quilt.mk
@@ -11,19 +14,15 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	autoreconf -i
 	chmod a+x conf_convert
-	dh_auto_configure -- --with-scp=/usr/bin/scp --with-cvs=/usr/bin/cvs \
+	dh_auto_configure -- --libexecdir=/usr/lib/rssh \
+	    --with-scp=/usr/bin/scp --with-cvs=/usr/bin/cvs \
 	    --with-sftp-server=/usr/lib/openssh/sftp-server \
 	    --with-rsync=/usr/bin/rsync --with-rdist=/usr/bin/rdist \
 	    --with-svnserve=/usr/bin/svnserve $(CONFIGURE_OPTIONS)
-
-override_dh_auto_clean:
-	rm -rf autom4te.cache
-	dh_auto_clean
 
 override_dh_auto_install:
 	@:
