## rssh 2.3.4

=== debian/changelog ===
rssh (2.3.4-7ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Command injection
    - debian/patches/0009-Verify-scp-command-options.patch: Validate
      the allowed scp command line and only permit the flags used in
      server mode and only a single argument, to attempt to prevent use
      of ssh options to run arbitrary code on the server.  This will
      break scp -3 to a system running rssh, which seems like an
      acceptable loss. (LP #1815935)
    - debian/patches/0007-Verify-rsync-command-options.patch: Tighten
      validation of the rsync command line to require --server be the
      first argument, which should prevent initiation of an outbound rsync
      command from the server, which in turn might allow execution of
      arbitrary code via ssh configuration similar to scp.

      Also reject rsync --daemon and --config command-line options, which
      can be used to run arbitrary commands.  Thanks, Nick Cleaton.

      Do not stop checking the rsync command line at --, since this can
      be an argument to some other option and later arguments may still
      be interpreted as options.  In the few cases where one needs to
      rsync to files named things like --rsh, the client can use ./--rsh
      instead.  Thanks, Nick Cleaton.
    - debian/patches/0010-Check-command-line-after-chroot.patch: Unset
      the HOME environment variable when running rsync to prevent popt
      (against which rsync is linked) from loading a ~/.popt
      configuration file, which can run arbitrary commands on the server
      or redefine command-line options to bypass argument checking.
      Thanks, Nick Cleaton.
    - CVE-2019-1000018
    - CVE-2019-3463
    - CVE-2019-3464

 -- Mike Salvatore <mike.salvatore@canonical.com>  Wed, 10 Apr 2019 13:23:31 -0400

rssh (2.3.4-7) unstable; urgency=medium

  * Change the specified mode of conf_convert in the Debian patch to be
    0644, since dpkg doesn't support modes the way that Git does and will
    ignore the mode anyway.  This mismatch was breaking use of dgit for
    this package.

 -- Russ Allbery <rra@debian.org>  Sat, 23 Dec 2017 20:13:24 -0800

rssh (2.3.4-6) unstable; urgency=medium

  * Add Rules-Requires-Root: no.
  * Update to debhelper compatibility level V11.
    - Remove now-useless build dependency on dh-autoreconf.
  * Clean up trailing whitespace in debian/changelog.
  * Update standards version to 4.1.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 17 Dec 2017 16:21:18 -0800

rssh (2.3.4-5) unstable; urgency=medium

  * Enable all hardening flags.
  * Fix another spelling error in the rssh man page, caught by Lintian.
  * Translation updates:
    - Indonesian, thanks Izharul Haq.  (Closes: #835621)
  * Switch to the DEP-14 branch layout and update debian/gbp.conf and
    Vcs-Git accordingly.
  * Run wrap-and-sort -ast on packaging files.
  * Switch to https for Vcs-Git and Vcs-Browser URLs.
  * Fix duplicate license clause in debian/copyright.
  * Update standards version to 3.9.8 (no changes required).

 -- Russ Allbery <rra@debian.org>  Mon, 05 Sep 2016 15:39:58 -0700

rssh (2.3.4-4) unstable; urgency=low

  * Fix typo in the example mkchroot script that causes it to fail to
    copy the libnss compat modules.  Patch from Jeremy Jongepier.
    (Closes: #729294)
  * This package is now maintained using gbp pq from git-buildpackage.
    Remove the TopGit glue and the obsolete README.source package and
    rename the patches based on the export convention of gbp pq.
  * Drop override to use xz compression for the binary package.  This is
    now the default in dpkg-buildpackage.
  * Update standards version to 3.9.5 (no changes required).
  * Translation updates:
    - Portuguese (Brazilian), thanks Fernando Ike de Oliveira.
      (Closes: #723148)
  * Reformat translations with debconf-updatepo.  Add some missing
    Language fields and update the Report-Msgid-Bugs-To address.

 -- Russ Allbery <rra@debian.org>  Sat, 07 Dec 2013 19:18:35 -0800

rssh (2.3.4-3) unstable; urgency=low

  * Patch the upstream build system to honor CFLAGS and CPPFLAGS as passed
    to configure.  This fixes use of hardening flags during the build.
    Thanks to Simon Ruderich for the patch.  (Closes: #709941)

 -- Russ Allbery <rra@debian.org>  Tue, 28 May 2013 14:37:10 -0700

rssh (2.3.4-2) unstable; urgency=low

  * Upload to unstable.
  * Fix implicit function declaration compiler warning from the svnserve
    patch.
  * Use xz compression for the Debian source and binary package.
  * Canonicalize the Vcs-Git and Vcs-Browser control fields.
  * Update standards version to 3.9.4 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 11 May 2013 17:09:30 -0700

rssh (2.3.4-1) experimental; urgency=low

  * New upstream release.
    - Merges fixes/command-line-checking.
    - Fix a (probably not exploitable) flaw in determining the command
      to run from the provided command line.
  * Adjust the installation process for the new upstream behavior of
    installing rssh.conf as rssh.conf.default.  The Debian package
    continues to install it as /etc/rssh.conf.
  * Add new logcheck ignore line for a new upstream log message.
  * Fix the log level for a notice of global svnserve access to use debug,
    matching the (patched) behavior for the other program types.
  * Fix the regular expression in the previous change to correctly match a
    literal period instead of any character.  (This fix is not critical,
    but adds further defense in depth.)  Remove an unused variable to
    silence compiler warnings.  Patch from Tomas Hoger.
  * Change debian/watch to use the sf.net redirector.

 -- Russ Allbery <rra@debian.org>  Fri, 07 Dec 2012 16:14:37 -0800

rssh (2.3.3-6) unstable; urgency=high

  * Fix several flaws in validation of rsync options.  Ensure --server
    cannot be hidden from the server by putting it after -- or as the

