=== debian/control ===
Source: rssh
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Russ Allbery <rra@debian.org>
Build-Depends:
 debhelper (>= 11),
Rules-Requires-Root: no
Standards-Version: 4.1.2
Homepage: http://www.pizzashack.org/rssh/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/rssh.git -b debian/master
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/rssh.git

Package: rssh
Architecture: any
Depends:
 openssh-server,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 cvs,
 makejail,
 rdist,
 rsync,
 subversion,
Description: Restricted shell allowing scp, sftp, cvs, svn, rsync or rdist
 rssh is a restricted shell, used as a login shell, that allows users to
 perform only scp, sftp, cvs, svnserve (Subversion), rdist, and/or rsync
 operations.  It can also optionally chroot user logins into a restricted
 jail.
