=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,7 @@
 #!/usr/bin/make -f
 
 # Enable compiler hardening flags.
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow,+pie
-
-# Load TopGit targets if available.
--include /usr/share/topgit/tg2quilt.mk
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Let the user build rssh static if they wish.
 ifneq (,$(findstring static,$(DEB_CONFIGURE_OPTIONS)))
@@ -14,7 +11,7 @@
 endif
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	chmod a+x conf_convert
@@ -25,7 +22,7 @@
 	    --with-svnserve=/usr/bin/svnserve $(CONFIGURE_OPTIONS)
 
 override_dh_auto_install:
-	@:
+	cp rssh.conf.default rssh.conf
 
 override_dh_compress:
 	dh_compress -Xexamples
